From 8b216a3a428e277602f9ce02f8f9a8cff3492349 Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@collabora.com>
Date: Wed, 2 Jun 2021 17:08:53 -0400
Subject: [PATCH] panfrost: Fix crc_valid condition

Fixes fails in dEQP-GLES31.functional.texture.border_clamp.* when run in
parallel with certain other tests.

Signed-off-by: Alyssa Rosenzweig <alyssa@collabora.com>
---
 src/panfrost/lib/pan_cs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/panfrost/lib/pan_cs.c b/src/panfrost/lib/pan_cs.c
index d82f11466be..d6aa9652a8b 100644
--- a/src/panfrost/lib/pan_cs.c
+++ b/src/panfrost/lib/pan_cs.c
@@ -744,7 +744,7 @@ pan_emit_mfbd(const struct panfrost_device *dev,
                          * valid for next time. */
                         cfg.crc_write_enable = valid || full;
 
-                        crc_slice->crc_valid |= full;
+                        crc_slice->crc_valid = full;
                 }
         }
 
-- 
2.30.2

